// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ucp_ape_main.c
// Author        : xianfeng.du
// Created On    : 2022-06-25
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include "ape_top.h"
#include "osp_init.h"
#include "smartos.h"
#include "log_client.h"

int32_t main(int32_t argc, char* argv[])
{
    set_core_id();

    soc_drv_init();
#if 1
    int32_t apeId = get_core_id();

    int32_t ret = smart_irq_debug_init(DBG_DDR_IRQ_ADDR_BASE+apeId*DBG_DDR_IRQ_LEN, DBG_DDR_IRQ_LEN);
    if (0 != ret)
    {
        debug_write(DBG_DDR_ERR_IDX(apeId, 10), ret);
    }
#endif

    spu_log_client_init();

    spu_drv_init();

    spu_msg_transfer_init();

    osp_start();

    return 0;
}

